<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>My Loan </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_my::sidebar_my" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-credit-card" style="color: #9B7536;"></i>
                    My Loan
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-12">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th class="border-0" colspan="3">
                            List Of Loan
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td class="border-0" style="width: 50px">Name</td>
                        <td class="border-0" style="width: 5px">:</td>
                        <td class="border-0" th:text="${employess.getFullName()}"></td>
                    </tr>
                    <tr>
                        <td class="border-0" style="width: 50px">Number</td>
                        <td class="border-0" style="width: 5px">:</td>
                        <td class="border-0" th:text="${employess.getNumber()}"></td>
                    </tr>
                    <tr>
                        <td class="border-0" style="width: 50px">Company</td>
                        <td class="border-0" style="width: 5px">:</td>
                        <td class="border-0" th:text="${employess.getCompanies().getCompanyName()}"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-md-12 table-responsive">
            <table class="table table-striped small">
                <thead>
                <tr>
                    <th class="border-dark border-start-0 border-end-0 text-end" style="width: 5px">#</th>
                    <th class="border-dark border-start-0 border-end-0">Loan</th>
                    <th class="border-dark border-start-0 border-end-0">Description</th>
                    <th class="border-dark border-start-0 border-end-0 text-end">Amount</th>
                    <th class="border-dark border-start-0 border-end-0 text-end">Installment</th>
                    <th class="border-dark border-start-0 border-end-0 text-center">Status</th>
                    <th class="border-dark border-start-0 border-end-0" style="width: 10px"></th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="dataEmployeeLoan,row : ${listEmployeeLoan}">
                    <td class="align-middle border-0 border-bottom" th:text="${row.index + 1}"></td>
                    <td class="align-middle text-truncate border-0 border-bottom" style="max-width: 150px;" th:text="${dataEmployeeLoan.getLoan().getName()}"></td>
                    <td class="align-middle text-truncate border-0 border-bottom" style="max-width: 250px;" th:text="${dataEmployeeLoan.getDescriptions()}"></td>
                    <td align="right" class="align-middle border-0 border-bottom" th:text="${'Rp '+ #numbers.formatDecimal(dataEmployeeLoan.getAmount(), 0, 'POINT', 2, 'COMMA')}"></td>
                    <td align="right" class="align-middle border-0 border-bottom" th:text="${dataEmployeeLoan.getInstallment()+' Times'}"></td>
                    <td class="text-center align-middle border-0 border-bottom" >
                        <span class="badge text-bg-warning" th:if="${dataEmployeeLoan.getStatus().toString().equals('AKTIF')}" th:text="${dataEmployeeLoan.getStatus()}"></span>
                        <span class="badge text-bg-success" th:if="${dataEmployeeLoan.getStatus().toString().equals('LUNAS')}" th:text="${dataEmployeeLoan.getStatus()}"></span>
                    </td>
                    <td class="border-0 border-bottom">
                        <a class="btn btn-sm btn-primary" th:href="@{/my/loan/detail(loan=${dataEmployeeLoan.getId()})}">History</a>
                    </td>
                </tr>
                </tbody>
            </table>
            </div>
        </div>
    </main>

</main>
</body>
</html>



